"use strict";
/*
  Copyright 2018 Google LLC

  Use of this source code is governed by an MIT-style
  license that can be found in the LICENSE file or at
  https://opensource.org/licenses/MIT.
*/
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const inquirer_1 = require("inquirer");
const upath = require("upath");
const errors_1 = require("../errors");
// The key used for the question/answer.
const name = 'swDest';
/**
 * @param {string} defaultDir
 * @return {Promise<Object>} The answers from inquirer.
 */
function askQuestion(defaultDir) {
    return inquirer_1.prompt([{
            name,
            message: `Where would you like your service worker file to be saved?`,
            type: 'input',
            default: upath.join(defaultDir, 'sw.js'),
        }]);
}
async function askSWDest(defaultDir = '.') {
    const answers = await askQuestion(defaultDir);
    const swDest = answers[name].trim();
    assert(swDest, errors_1.errors['invalid-sw-dest']);
    return swDest;
}
exports.askSWDest = askSWDest;
