"use strict";
/*
  Copyright 2018 Google LLC

  Use of this source code is governed by an MIT-style
  license that can be found in the LICENSE file or at
  https://opensource.org/licenses/MIT.
*/
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = require("inquirer");
const common_tags_1 = require("common-tags");
// The key used for the question/answer.
const name = 'swSrc';
/**
 * @return {Promise<Object>} The answers from inquirer.
 */
function askQuestion() {
    return inquirer_1.prompt([{
            name,
            message: common_tags_1.oneLine `Where's your existing service worker file? To be used with
      injectManifest, it should include a call to
      'self.__WB_MANIFEST'`,
            type: 'input',
        }]);
}
async function askSWSrc() {
    const answers = await askQuestion();
    return answers[name].trim();
}
exports.askSWSrc = askSWSrc;
